
_LOG:

	MOVF        FARG_LOG_txt+0, 0 
	MOVWF       LOG_ptr_L0+0 
	MOVF        FARG_LOG_txt+1, 0 
	MOVWF       LOG_ptr_L0+1 
L_LOG0:
	MOVFF       LOG_ptr_L0+0, FSR0
	MOVFF       LOG_ptr_L0+1, FSR0H
	MOVF        POSTINC0+0, 1 
	BTFSC       STATUS+0, 2 
	GOTO        L_LOG1
	MOVFF       LOG_ptr_L0+0, FSR0
	MOVFF       LOG_ptr_L0+1, FSR0H
	MOVF        POSTINC0+0, 0 
	MOVWF       FARG_Soft_UART_Write_udata+0 
	CALL        _Soft_UART_Write+0, 0
	INFSNZ      LOG_ptr_L0+0, 1 
	INCF        LOG_ptr_L0+1, 1 
	GOTO        L_LOG0
L_LOG1:
L_end_LOG:
	RETURN      0
; end of _LOG

GSM_GNSS_2_PIC_system_init:

	BCF         TRISA0_bit+0, BitPos(TRISA0_bit+0) 
	BCF         TRISC0_bit+0, BitPos(TRISC0_bit+0) 
	MOVLW       PORTE+0
	MOVWF       FARG_Soft_UART_Init_port+0 
	MOVLW       hi_addr(PORTE+0)
	MOVWF       FARG_Soft_UART_Init_port+1 
	MOVLW       1
	MOVWF       FARG_Soft_UART_Init_rx_pin+0 
	MOVLW       2
	MOVWF       FARG_Soft_UART_Init_tx_pin+0 
	MOVLW       128
	MOVWF       FARG_Soft_UART_Init_baud_rate+0 
	MOVLW       37
	MOVWF       FARG_Soft_UART_Init_baud_rate+1 
	MOVLW       0
	MOVWF       FARG_Soft_UART_Init_baud_rate+2 
	MOVWF       FARG_Soft_UART_Init_baud_rate+3 
	CLRF        FARG_Soft_UART_Init_inverted+0 
	CALL        _Soft_UART_Init+0, 0
	MOVLW       103
	MOVWF       SPBRG+0 
	BSF         TXSTA+0, 2, 0
	CALL        _UART1_Init+0, 0
	MOVLW       1
	MOVWF       T3CON+0 
	BCF         TMR3IF_bit+0, BitPos(TMR3IF_bit+0) 
	MOVLW       240
	MOVWF       TMR3H+0 
	MOVLW       96
	MOVWF       TMR3L+0 
	BSF         TMR3IE_bit+0, BitPos(TMR3IE_bit+0) 
	MOVLW       192
	MOVWF       INTCON+0 
	BSF         RC1IE_bit+0, BitPos(RC1IE_bit+0) 
	BCF         RC1IF_bit+0, BitPos(RC1IF_bit+0) 
	BSF         PEIE_bit+0, BitPos(PEIE_bit+0) 
	BSF         GIE_bit+0, BitPos(GIE_bit+0) 
	CLRF        _msg_counter+0 
	CLRF        _call_counter+0 
	MOVLW       ?lstr1_GSM_GNSS_2_PIC+0
	MOVWF       FARG_LOG_txt+0 
	MOVLW       hi_addr(?lstr1_GSM_GNSS_2_PIC+0)
	MOVWF       FARG_LOG_txt+1 
	CALL        _LOG+0, 0
	MOVLW       ?lstr2_GSM_GNSS_2_PIC+0
	MOVWF       FARG_LOG_txt+0 
	MOVLW       hi_addr(?lstr2_GSM_GNSS_2_PIC+0)
	MOVWF       FARG_LOG_txt+1 
	CALL        _LOG+0, 0
	MOVLW       ?lstr3_GSM_GNSS_2_PIC+0
	MOVWF       FARG_LOG_txt+0 
	MOVLW       hi_addr(?lstr3_GSM_GNSS_2_PIC+0)
	MOVWF       FARG_LOG_txt+1 
	CALL        _LOG+0, 0
L_end_system_init:
	RETURN      0
; end of GSM_GNSS_2_PIC_system_init

GSM_GNSS_2_PIC_GSM_GNSS_2_power_on:

	MOVLW       ?lstr4_GSM_GNSS_2_PIC+0
	MOVWF       FARG_at_cmd_single_cmd+0 
	MOVLW       hi_addr(?lstr4_GSM_GNSS_2_PIC+0)
	MOVWF       FARG_at_cmd_single_cmd+1 
	CALL        _at_cmd_single+0, 0
	MOVLW       ?lstr5_GSM_GNSS_2_PIC+0
	MOVWF       FARG_at_cmd_single_cmd+0 
	MOVLW       hi_addr(?lstr5_GSM_GNSS_2_PIC+0)
	MOVWF       FARG_at_cmd_single_cmd+1 
	CALL        _at_cmd_single+0, 0
	MOVLW       ?lstr6_GSM_GNSS_2_PIC+0
	MOVWF       FARG_at_cmd_single_cmd+0 
	MOVLW       hi_addr(?lstr6_GSM_GNSS_2_PIC+0)
	MOVWF       FARG_at_cmd_single_cmd+1 
	CALL        _at_cmd_single+0, 0
	MOVLW       ?lstr7_GSM_GNSS_2_PIC+0
	MOVWF       FARG_at_cmd_single_cmd+0 
	MOVLW       hi_addr(?lstr7_GSM_GNSS_2_PIC+0)
	MOVWF       FARG_at_cmd_single_cmd+1 
	CALL        _at_cmd_single+0, 0
	BSF         LATC0_bit+0, BitPos(LATC0_bit+0) 
	MOVLW       21
	MOVWF       R11, 0
	MOVLW       75
	MOVWF       R12, 0
	MOVLW       190
	MOVWF       R13, 0
L_GSM_GNSS_2_PIC_GSM_GNSS_2_power_on2:
	DECFSZ      R13, 1, 1
	BRA         L_GSM_GNSS_2_PIC_GSM_GNSS_2_power_on2
	DECFSZ      R12, 1, 1
	BRA         L_GSM_GNSS_2_PIC_GSM_GNSS_2_power_on2
	DECFSZ      R11, 1, 1
	BRA         L_GSM_GNSS_2_PIC_GSM_GNSS_2_power_on2
	NOP
	BCF         LATC0_bit+0, BitPos(LATC0_bit+0) 
	MOVLW       31
	MOVWF       R11, 0
	MOVLW       113
	MOVWF       R12, 0
	MOVLW       30
	MOVWF       R13, 0
L_GSM_GNSS_2_PIC_GSM_GNSS_2_power_on3:
	DECFSZ      R13, 1, 1
	BRA         L_GSM_GNSS_2_PIC_GSM_GNSS_2_power_on3
	DECFSZ      R12, 1, 1
	BRA         L_GSM_GNSS_2_PIC_GSM_GNSS_2_power_on3
	DECFSZ      R11, 1, 1
	BRA         L_GSM_GNSS_2_PIC_GSM_GNSS_2_power_on3
	NOP
	BSF         LATC0_bit+0, BitPos(LATC0_bit+0) 
	MOVLW       ?lstr8_GSM_GNSS_2_PIC+0
	MOVWF       FARG_LOG_txt+0 
	MOVLW       hi_addr(?lstr8_GSM_GNSS_2_PIC+0)
	MOVWF       FARG_LOG_txt+1 
	CALL        _LOG+0, 0
	MOVLW       ?lstr9_GSM_GNSS_2_PIC+0
	MOVWF       FARG_LOG_txt+0 
	MOVLW       hi_addr(?lstr9_GSM_GNSS_2_PIC+0)
	MOVWF       FARG_LOG_txt+1 
	CALL        _LOG+0, 0
	MOVLW       ?lstr10_GSM_GNSS_2_PIC+0
	MOVWF       FARG_LOG_txt+0 
	MOVLW       hi_addr(?lstr10_GSM_GNSS_2_PIC+0)
	MOVWF       FARG_LOG_txt+1 
	CALL        _LOG+0, 0
	MOVLW       2
	MOVWF       R10, 0
	MOVLW       150
	MOVWF       R11, 0
	MOVLW       216
	MOVWF       R12, 0
	MOVLW       8
	MOVWF       R13, 0
L_GSM_GNSS_2_PIC_GSM_GNSS_2_power_on4:
	DECFSZ      R13, 1, 1
	BRA         L_GSM_GNSS_2_PIC_GSM_GNSS_2_power_on4
	DECFSZ      R12, 1, 1
	BRA         L_GSM_GNSS_2_PIC_GSM_GNSS_2_power_on4
	DECFSZ      R11, 1, 1
	BRA         L_GSM_GNSS_2_PIC_GSM_GNSS_2_power_on4
	DECFSZ      R10, 1, 1
	BRA         L_GSM_GNSS_2_PIC_GSM_GNSS_2_power_on4
	NOP
	MOVLW       ?lstr11_GSM_GNSS_2_PIC+0
	MOVWF       FARG_LOG_txt+0 
	MOVLW       hi_addr(?lstr11_GSM_GNSS_2_PIC+0)
	MOVWF       FARG_LOG_txt+1 
	CALL        _LOG+0, 0
	MOVLW       ?lstr12_GSM_GNSS_2_PIC+0
	MOVWF       FARG_LOG_txt+0 
	MOVLW       hi_addr(?lstr12_GSM_GNSS_2_PIC+0)
	MOVWF       FARG_LOG_txt+1 
	CALL        _LOG+0, 0
	MOVLW       ?lstr13_GSM_GNSS_2_PIC+0
	MOVWF       FARG_LOG_txt+0 
	MOVLW       hi_addr(?lstr13_GSM_GNSS_2_PIC+0)
	MOVWF       FARG_LOG_txt+1 
	CALL        _LOG+0, 0
L_end_GSM_GNSS_2_power_on:
	RETURN      0
; end of GSM_GNSS_2_PIC_GSM_GNSS_2_power_on

_GSM_GNSS_2_init:

	MOVLW       ?lstr14_GSM_GNSS_2_PIC+0
	MOVWF       FARG_LOG_txt+0 
	MOVLW       hi_addr(?lstr14_GSM_GNSS_2_PIC+0)
	MOVWF       FARG_LOG_txt+1 
	CALL        _LOG+0, 0
	MOVLW       ?lstr15_GSM_GNSS_2_PIC+0
	MOVWF       FARG_LOG_txt+0 
	MOVLW       hi_addr(?lstr15_GSM_GNSS_2_PIC+0)
	MOVWF       FARG_LOG_txt+1 
	CALL        _LOG+0, 0
	MOVLW       ?lstr16_GSM_GNSS_2_PIC+0
	MOVWF       FARG_LOG_txt+0 
	MOVLW       hi_addr(?lstr16_GSM_GNSS_2_PIC+0)
	MOVWF       FARG_LOG_txt+1 
	CALL        _LOG+0, 0
	MOVLW       ?lstr17_GSM_GNSS_2_PIC+0
	MOVWF       FARG_at_cmd_single_cmd+0 
	MOVLW       hi_addr(?lstr17_GSM_GNSS_2_PIC+0)
	MOVWF       FARG_at_cmd_single_cmd+1 
	CALL        _at_cmd_single+0, 0
	MOVLW       ?lstr18_GSM_GNSS_2_PIC+0
	MOVWF       FARG_at_cmd_single_cmd+0 
	MOVLW       hi_addr(?lstr18_GSM_GNSS_2_PIC+0)
	MOVWF       FARG_at_cmd_single_cmd+1 
	CALL        _at_cmd_single+0, 0
	MOVLW       ?lstr19_GSM_GNSS_2_PIC+0
	MOVWF       FARG_at_cmd_single_cmd+0 
	MOVLW       hi_addr(?lstr19_GSM_GNSS_2_PIC+0)
	MOVWF       FARG_at_cmd_single_cmd+1 
	CALL        _at_cmd_single+0, 0
	MOVLW       ?lstr20_GSM_GNSS_2_PIC+0
	MOVWF       FARG_at_cmd_single_cmd+0 
	MOVLW       hi_addr(?lstr20_GSM_GNSS_2_PIC+0)
	MOVWF       FARG_at_cmd_single_cmd+1 
	CALL        _at_cmd_single+0, 0
	MOVLW       ?lstr21_GSM_GNSS_2_PIC+0
	MOVWF       FARG_at_cmd_single_cmd+0 
	MOVLW       hi_addr(?lstr21_GSM_GNSS_2_PIC+0)
	MOVWF       FARG_at_cmd_single_cmd+1 
	CALL        _at_cmd_single+0, 0
	MOVLW       ?lstr22_GSM_GNSS_2_PIC+0
	MOVWF       FARG_at_cmd_single_cmd+0 
	MOVLW       hi_addr(?lstr22_GSM_GNSS_2_PIC+0)
	MOVWF       FARG_at_cmd_single_cmd+1 
	CALL        _at_cmd_single+0, 0
	MOVLW       ?lstr23_GSM_GNSS_2_PIC+0
	MOVWF       FARG_at_cmd_single_cmd+0 
	MOVLW       hi_addr(?lstr23_GSM_GNSS_2_PIC+0)
	MOVWF       FARG_at_cmd_single_cmd+1 
	CALL        _at_cmd_single+0, 0
	MOVLW       ?lstr24_GSM_GNSS_2_PIC+0
	MOVWF       FARG_at_cmd_single_cmd+0 
	MOVLW       hi_addr(?lstr24_GSM_GNSS_2_PIC+0)
	MOVWF       FARG_at_cmd_single_cmd+1 
	CALL        _at_cmd_single+0, 0
	MOVLW       ?lstr25_GSM_GNSS_2_PIC+0
	MOVWF       FARG_at_cmd_single_cmd+0 
	MOVLW       hi_addr(?lstr25_GSM_GNSS_2_PIC+0)
	MOVWF       FARG_at_cmd_single_cmd+1 
	CALL        _at_cmd_single+0, 0
	MOVLW       ?lstr26_GSM_GNSS_2_PIC+0
	MOVWF       FARG_LOG_txt+0 
	MOVLW       hi_addr(?lstr26_GSM_GNSS_2_PIC+0)
	MOVWF       FARG_LOG_txt+1 
	CALL        _LOG+0, 0
	MOVLW       ?lstr27_GSM_GNSS_2_PIC+0
	MOVWF       FARG_LOG_txt+0 
	MOVLW       hi_addr(?lstr27_GSM_GNSS_2_PIC+0)
	MOVWF       FARG_LOG_txt+1 
	CALL        _LOG+0, 0
	MOVLW       ?lstr28_GSM_GNSS_2_PIC+0
	MOVWF       FARG_LOG_txt+0 
	MOVLW       hi_addr(?lstr28_GSM_GNSS_2_PIC+0)
	MOVWF       FARG_LOG_txt+1 
	CALL        _LOG+0, 0
L_end_GSM_GNSS_2_init:
	RETURN      0
; end of _GSM_GNSS_2_init

_send_SMS:

	CLRF        send_SMS_cmd_content_L0+0 
	CLRF        send_SMS_cmd_content_L0+1 
	CLRF        send_SMS_cmd_content_L0+2 
	CLRF        send_SMS_cmd_content_L0+3 
	CLRF        send_SMS_cmd_content_L0+4 
	CLRF        send_SMS_cmd_content_L0+5 
	CLRF        send_SMS_cmd_content_L0+6 
	CLRF        send_SMS_cmd_content_L0+7 
	CLRF        send_SMS_cmd_content_L0+8 
	CLRF        send_SMS_cmd_content_L0+9 
	CLRF        send_SMS_cmd_content_L0+10 
	CLRF        send_SMS_cmd_content_L0+11 
	CLRF        send_SMS_cmd_content_L0+12 
	CLRF        send_SMS_cmd_content_L0+13 
	CLRF        send_SMS_cmd_content_L0+14 
	CLRF        send_SMS_cmd_content_L0+15 
	CLRF        send_SMS_cmd_content_L0+16 
	CLRF        send_SMS_cmd_content_L0+17 
	CLRF        send_SMS_cmd_content_L0+18 
	CLRF        send_SMS_cmd_content_L0+19 
	CLRF        send_SMS_cmd_content_L0+20 
	CLRF        send_SMS_cmd_content_L0+21 
	CLRF        send_SMS_cmd_content_L0+22 
	CLRF        send_SMS_cmd_content_L0+23 
	CLRF        send_SMS_cmd_content_L0+24 
	CLRF        send_SMS_cmd_content_L0+25 
	CLRF        send_SMS_cmd_content_L0+26 
	CLRF        send_SMS_cmd_content_L0+27 
	CLRF        send_SMS_cmd_content_L0+28 
	CLRF        send_SMS_cmd_content_L0+29 
	CLRF        send_SMS_reply_content_L0+0 
	CLRF        send_SMS_reply_content_L0+1 
	CLRF        send_SMS_reply_content_L0+2 
	CLRF        send_SMS_reply_content_L0+3 
	CLRF        send_SMS_reply_content_L0+4 
	CLRF        send_SMS_reply_content_L0+5 
	CLRF        send_SMS_reply_content_L0+6 
	CLRF        send_SMS_reply_content_L0+7 
	CLRF        send_SMS_reply_content_L0+8 
	CLRF        send_SMS_reply_content_L0+9 
	CLRF        send_SMS_reply_content_L0+10 
	CLRF        send_SMS_reply_content_L0+11 
	CLRF        send_SMS_reply_content_L0+12 
	CLRF        send_SMS_reply_content_L0+13 
	CLRF        send_SMS_reply_content_L0+14 
	CLRF        send_SMS_reply_content_L0+15 
	CLRF        send_SMS_reply_content_L0+16 
	CLRF        send_SMS_reply_content_L0+17 
	CLRF        send_SMS_reply_content_L0+18 
	CLRF        send_SMS_reply_content_L0+19 
	CLRF        send_SMS_reply_content_L0+20 
	CLRF        send_SMS_reply_content_L0+21 
	CLRF        send_SMS_reply_content_L0+22 
	CLRF        send_SMS_reply_content_L0+23 
	CLRF        send_SMS_reply_content_L0+24 
	CLRF        send_SMS_reply_content_L0+25 
	CLRF        send_SMS_reply_content_L0+26 
	CLRF        send_SMS_reply_content_L0+27 
	CLRF        send_SMS_reply_content_L0+28 
	CLRF        send_SMS_reply_content_L0+29 
	CLRF        send_SMS_reply_content_L0+30 
	CLRF        send_SMS_reply_content_L0+31 
	CLRF        send_SMS_reply_content_L0+32 
	CLRF        send_SMS_reply_content_L0+33 
	CLRF        send_SMS_reply_content_L0+34 
	CLRF        send_SMS_reply_content_L0+35 
	CLRF        send_SMS_reply_content_L0+36 
	CLRF        send_SMS_reply_content_L0+37 
	CLRF        send_SMS_reply_content_L0+38 
	CLRF        send_SMS_reply_content_L0+39 
	CLRF        send_SMS_reply_content_L0+40 
	CLRF        send_SMS_reply_content_L0+41 
	CLRF        send_SMS_reply_content_L0+42 
	CLRF        send_SMS_reply_content_L0+43 
	CLRF        send_SMS_reply_content_L0+44 
	CLRF        send_SMS_reply_content_L0+45 
	CLRF        send_SMS_reply_content_L0+46 
	CLRF        send_SMS_reply_content_L0+47 
	CLRF        send_SMS_reply_content_L0+48 
	CLRF        send_SMS_reply_content_L0+49 
	CLRF        send_SMS_reply_content_L0+50 
	CLRF        send_SMS_reply_content_L0+51 
	CLRF        send_SMS_reply_content_L0+52 
	CLRF        send_SMS_reply_content_L0+53 
	CLRF        send_SMS_reply_content_L0+54 
	CLRF        send_SMS_reply_content_L0+55 
	CLRF        send_SMS_reply_content_L0+56 
	CLRF        send_SMS_reply_content_L0+57 
	CLRF        send_SMS_reply_content_L0+58 
	CLRF        send_SMS_reply_content_L0+59 
	CLRF        send_SMS_reply_content_L0+60 
	CLRF        send_SMS_reply_content_L0+61 
	CLRF        send_SMS_reply_content_L0+62 
	CLRF        send_SMS_reply_content_L0+63 
	CLRF        send_SMS_reply_content_L0+64 
	CLRF        send_SMS_reply_content_L0+65 
	CLRF        send_SMS_reply_content_L0+66 
	CLRF        send_SMS_reply_content_L0+67 
	CLRF        send_SMS_reply_content_L0+68 
	CLRF        send_SMS_reply_content_L0+69 
	CLRF        send_SMS_reply_content_L0+70 
	CLRF        send_SMS_reply_content_L0+71 
	CLRF        send_SMS_reply_content_L0+72 
	CLRF        send_SMS_reply_content_L0+73 
	CLRF        send_SMS_reply_content_L0+74 
	CLRF        send_SMS_reply_content_L0+75 
	CLRF        send_SMS_reply_content_L0+76 
	CLRF        send_SMS_reply_content_L0+77 
	CLRF        send_SMS_reply_content_L0+78 
	CLRF        send_SMS_reply_content_L0+79 
	CLRF        send_SMS_reply_content_L0+80 
	CLRF        send_SMS_reply_content_L0+81 
	CLRF        send_SMS_reply_content_L0+82 
	CLRF        send_SMS_reply_content_L0+83 
	CLRF        send_SMS_reply_content_L0+84 
	CLRF        send_SMS_reply_content_L0+85 
	CLRF        send_SMS_reply_content_L0+86 
	CLRF        send_SMS_reply_content_L0+87 
	CLRF        send_SMS_reply_content_L0+88 
	CLRF        send_SMS_reply_content_L0+89 
	CLRF        send_SMS_reply_content_L0+90 
	CLRF        send_SMS_reply_content_L0+91 
	CLRF        send_SMS_reply_content_L0+92 
	CLRF        send_SMS_reply_content_L0+93 
	CLRF        send_SMS_reply_content_L0+94 
	CLRF        send_SMS_reply_content_L0+95 
	CLRF        send_SMS_reply_content_L0+96 
	CLRF        send_SMS_reply_content_L0+97 
	CLRF        send_SMS_reply_content_L0+98 
	CLRF        send_SMS_reply_content_L0+99 
	CLRF        send_SMS_reply_content_L0+100 
	CLRF        send_SMS_reply_content_L0+101 
	CLRF        send_SMS_reply_content_L0+102 
	CLRF        send_SMS_reply_content_L0+103 
	CLRF        send_SMS_reply_content_L0+104 
	CLRF        send_SMS_reply_content_L0+105 
	CLRF        send_SMS_reply_content_L0+106 
	CLRF        send_SMS_reply_content_L0+107 
	CLRF        send_SMS_reply_content_L0+108 
	CLRF        send_SMS_reply_content_L0+109 
	CLRF        send_SMS_reply_content_L0+110 
	CLRF        send_SMS_reply_content_L0+111 
	CLRF        send_SMS_reply_content_L0+112 
	CLRF        send_SMS_reply_content_L0+113 
	CLRF        send_SMS_reply_content_L0+114 
	CLRF        send_SMS_reply_content_L0+115 
	CLRF        send_SMS_reply_content_L0+116 
	CLRF        send_SMS_reply_content_L0+117 
	CLRF        send_SMS_reply_content_L0+118 
	CLRF        send_SMS_reply_content_L0+119 
	CLRF        send_SMS_reply_content_L0+120 
	CLRF        send_SMS_reply_content_L0+121 
	CLRF        send_SMS_reply_content_L0+122 
	CLRF        send_SMS_reply_content_L0+123 
	CLRF        send_SMS_reply_content_L0+124 
	CLRF        send_SMS_reply_content_L0+125 
	CLRF        send_SMS_reply_content_L0+126 
	CLRF        send_SMS_reply_content_L0+127 
	CLRF        send_SMS_reply_content_L0+128 
	CLRF        send_SMS_reply_content_L0+129 
	CLRF        send_SMS_reply_content_L0+130 
	CLRF        send_SMS_reply_content_L0+131 
	CLRF        send_SMS_reply_content_L0+132 
	CLRF        send_SMS_reply_content_L0+133 
	CLRF        send_SMS_reply_content_L0+134 
	CLRF        send_SMS_reply_content_L0+135 
	CLRF        send_SMS_reply_content_L0+136 
	CLRF        send_SMS_reply_content_L0+137 
	CLRF        send_SMS_reply_content_L0+138 
	CLRF        send_SMS_reply_content_L0+139 
	CLRF        send_SMS_reply_content_L0+140 
	CLRF        send_SMS_reply_content_L0+141 
	CLRF        send_SMS_reply_content_L0+142 
	CLRF        send_SMS_reply_content_L0+143 
	CLRF        send_SMS_reply_content_L0+144 
	CLRF        send_SMS_reply_content_L0+145 
	CLRF        send_SMS_reply_content_L0+146 
	CLRF        send_SMS_reply_content_L0+147 
	CLRF        send_SMS_reply_content_L0+148 
	CLRF        send_SMS_reply_content_L0+149 
	CLRF        send_SMS_reply_content_L0+150 
	CLRF        send_SMS_reply_content_L0+151 
	CLRF        send_SMS_reply_content_L0+152 
	CLRF        send_SMS_reply_content_L0+153 
	CLRF        send_SMS_reply_content_L0+154 
	CLRF        send_SMS_reply_content_L0+155 
	CLRF        send_SMS_reply_content_L0+156 
	CLRF        send_SMS_reply_content_L0+157 
	CLRF        send_SMS_reply_content_L0+158 
	CLRF        send_SMS_reply_content_L0+159 
	CLRF        send_SMS_reply_content_L0+160 
	CLRF        send_SMS_reply_content_L0+161 
	CLRF        send_SMS_reply_content_L0+162 
	CLRF        send_SMS_reply_content_L0+163 
	CLRF        send_SMS_reply_content_L0+164 
	CLRF        send_SMS_reply_content_L0+165 
	CLRF        send_SMS_reply_content_L0+166 
	CLRF        send_SMS_reply_content_L0+167 
	CLRF        send_SMS_reply_content_L0+168 
	CLRF        send_SMS_reply_content_L0+169 
	CLRF        send_SMS_reply_content_L0+170 
	CLRF        send_SMS_reply_content_L0+171 
	CLRF        send_SMS_reply_content_L0+172 
	CLRF        send_SMS_reply_content_L0+173 
	CLRF        send_SMS_reply_content_L0+174 
	CLRF        send_SMS_reply_content_L0+175 
	CLRF        send_SMS_reply_content_L0+176 
	CLRF        send_SMS_reply_content_L0+177 
	CLRF        send_SMS_reply_content_L0+178 
	CLRF        send_SMS_reply_content_L0+179 
	CLRF        send_SMS_reply_content_L0+180 
	CLRF        send_SMS_reply_content_L0+181 
	CLRF        send_SMS_reply_content_L0+182 
	CLRF        send_SMS_reply_content_L0+183 
	CLRF        send_SMS_reply_content_L0+184 
	CLRF        send_SMS_reply_content_L0+185 
	CLRF        send_SMS_reply_content_L0+186 
	CLRF        send_SMS_reply_content_L0+187 
	CLRF        send_SMS_reply_content_L0+188 
	CLRF        send_SMS_reply_content_L0+189 
	CLRF        send_SMS_reply_content_L0+190 
	CLRF        send_SMS_reply_content_L0+191 
	CLRF        send_SMS_reply_content_L0+192 
	CLRF        send_SMS_reply_content_L0+193 
	CLRF        send_SMS_reply_content_L0+194 
	CLRF        send_SMS_reply_content_L0+195 
	CLRF        send_SMS_reply_content_L0+196 
	CLRF        send_SMS_reply_content_L0+197 
	CLRF        send_SMS_reply_content_L0+198 
	CLRF        send_SMS_reply_content_L0+199 
	CLRF        send_SMS_reply_content_L0+200 
	CLRF        send_SMS_reply_content_L0+201 
	CLRF        send_SMS_reply_content_L0+202 
	CLRF        send_SMS_reply_content_L0+203 
	CLRF        send_SMS_reply_content_L0+204 
	CLRF        send_SMS_reply_content_L0+205 
	CLRF        send_SMS_reply_content_L0+206 
	CLRF        send_SMS_reply_content_L0+207 
	CLRF        send_SMS_reply_content_L0+208 
	CLRF        send_SMS_reply_content_L0+209 
	CLRF        send_SMS_reply_content_L0+210 
	CLRF        send_SMS_reply_content_L0+211 
	CLRF        send_SMS_reply_content_L0+212 
	CLRF        send_SMS_reply_content_L0+213 
	CLRF        send_SMS_reply_content_L0+214 
	CLRF        send_SMS_reply_content_L0+215 
	CLRF        send_SMS_reply_content_L0+216 
	CLRF        send_SMS_reply_content_L0+217 
	CLRF        send_SMS_reply_content_L0+218 
	CLRF        send_SMS_reply_content_L0+219 
	CLRF        send_SMS_reply_content_L0+220 
	CLRF        send_SMS_reply_content_L0+221 
	CLRF        send_SMS_reply_content_L0+222 
	CLRF        send_SMS_reply_content_L0+223 
	CLRF        send_SMS_reply_content_L0+224 
	CLRF        send_SMS_reply_content_L0+225 
	CLRF        send_SMS_reply_content_L0+226 
	CLRF        send_SMS_reply_content_L0+227 
	CLRF        send_SMS_reply_content_L0+228 
	CLRF        send_SMS_reply_content_L0+229 
	CLRF        send_SMS_reply_content_L0+230 
	CLRF        send_SMS_reply_content_L0+231 
	CLRF        send_SMS_reply_content_L0+232 
	CLRF        send_SMS_reply_content_L0+233 
	CLRF        send_SMS_reply_content_L0+234 
	CLRF        send_SMS_reply_content_L0+235 
	CLRF        send_SMS_reply_content_L0+236 
	CLRF        send_SMS_reply_content_L0+237 
	CLRF        send_SMS_reply_content_L0+238 
	CLRF        send_SMS_reply_content_L0+239 
	CLRF        send_SMS_reply_content_L0+240 
	CLRF        send_SMS_reply_content_L0+241 
	CLRF        send_SMS_reply_content_L0+242 
	CLRF        send_SMS_reply_content_L0+243 
	CLRF        send_SMS_reply_content_L0+244 
	CLRF        send_SMS_reply_content_L0+245 
	CLRF        send_SMS_reply_content_L0+246 
	CLRF        send_SMS_reply_content_L0+247 
	CLRF        send_SMS_reply_content_L0+248 
	CLRF        send_SMS_reply_content_L0+249 
	CLRF        send_SMS_reply_content_L0+250 
	CLRF        send_SMS_reply_content_L0+251 
	CLRF        send_SMS_reply_content_L0+252 
	CLRF        send_SMS_reply_content_L0+253 
	CLRF        send_SMS_reply_content_L0+254 
	CLRF        send_SMS_reply_content_L0+255 
	MOVLW       ?lstr29_GSM_GNSS_2_PIC+0
	MOVWF       FARG_LOG_txt+0 
	MOVLW       hi_addr(?lstr29_GSM_GNSS_2_PIC+0)
	MOVWF       FARG_LOG_txt+1 
	CALL        _LOG+0, 0
	MOVLW       ?lstr30_GSM_GNSS_2_PIC+0
	MOVWF       FARG_LOG_txt+0 
	MOVLW       hi_addr(?lstr30_GSM_GNSS_2_PIC+0)
	MOVWF       FARG_LOG_txt+1 
	CALL        _LOG+0, 0
	MOVLW       ?lstr31_GSM_GNSS_2_PIC+0
	MOVWF       FARG_LOG_txt+0 
	MOVLW       hi_addr(?lstr31_GSM_GNSS_2_PIC+0)
	MOVWF       FARG_LOG_txt+1 
	CALL        _LOG+0, 0
	MOVLW       send_SMS_cmd_content_L0+0
	MOVWF       FARG_strcat_to+0 
	MOVLW       hi_addr(send_SMS_cmd_content_L0+0)
	MOVWF       FARG_strcat_to+1 
	MOVLW       ?lstr32_GSM_GNSS_2_PIC+0
	MOVWF       FARG_strcat_from+0 
	MOVLW       hi_addr(?lstr32_GSM_GNSS_2_PIC+0)
	MOVWF       FARG_strcat_from+1 
	CALL        _strcat+0, 0
	MOVLW       send_SMS_cmd_content_L0+0
	MOVWF       FARG_strcat_to+0 
	MOVLW       hi_addr(send_SMS_cmd_content_L0+0)
	MOVWF       FARG_strcat_to+1 
	MOVLW       _receiver_ID+0
	MOVWF       FARG_strcat_from+0 
	MOVLW       hi_addr(_receiver_ID+0)
	MOVWF       FARG_strcat_from+1 
	CALL        _strcat+0, 0
	MOVLW       send_SMS_reply_content_L0+0
	MOVWF       FARG_strcat_to+0 
	MOVLW       hi_addr(send_SMS_reply_content_L0+0)
	MOVWF       FARG_strcat_to+1 
	MOVLW       ?lstr33_GSM_GNSS_2_PIC+0
	MOVWF       FARG_strcat_from+0 
	MOVLW       hi_addr(?lstr33_GSM_GNSS_2_PIC+0)
	MOVWF       FARG_strcat_from+1 
	CALL        _strcat+0, 0
	MOVLW       send_SMS_cmd_content_L0+0
	MOVWF       FARG_at_cmd_double_cmd+0 
	MOVLW       hi_addr(send_SMS_cmd_content_L0+0)
	MOVWF       FARG_at_cmd_double_cmd+1 
	MOVLW       send_SMS_reply_content_L0+0
	MOVWF       FARG_at_cmd_double_arg_1+0 
	MOVLW       hi_addr(send_SMS_reply_content_L0+0)
	MOVWF       FARG_at_cmd_double_arg_1+1 
	CALL        _at_cmd_double+0, 0
L_end_send_SMS:
	RETURN      0
; end of _send_SMS

_micro_SD:

	MOVLW       ?lstr34_GSM_GNSS_2_PIC+0
	MOVWF       FARG_LOG_txt+0 
	MOVLW       hi_addr(?lstr34_GSM_GNSS_2_PIC+0)
	MOVWF       FARG_LOG_txt+1 
	CALL        _LOG+0, 0
	MOVLW       ?lstr35_GSM_GNSS_2_PIC+0
	MOVWF       FARG_LOG_txt+0 
	MOVLW       hi_addr(?lstr35_GSM_GNSS_2_PIC+0)
	MOVWF       FARG_LOG_txt+1 
	CALL        _LOG+0, 0
	MOVLW       ?lstr36_GSM_GNSS_2_PIC+0
	MOVWF       FARG_LOG_txt+0 
	MOVLW       hi_addr(?lstr36_GSM_GNSS_2_PIC+0)
	MOVWF       FARG_LOG_txt+1 
	CALL        _LOG+0, 0
	MOVLW       ?lstr37_GSM_GNSS_2_PIC+0
	MOVWF       FARG_at_cmd_single_cmd+0 
	MOVLW       hi_addr(?lstr37_GSM_GNSS_2_PIC+0)
	MOVWF       FARG_at_cmd_single_cmd+1 
	CALL        _at_cmd_single+0, 0
	MOVLW       ?lstr38_GSM_GNSS_2_PIC+0
	MOVWF       FARG_at_cmd_single_cmd+0 
	MOVLW       hi_addr(?lstr38_GSM_GNSS_2_PIC+0)
	MOVWF       FARG_at_cmd_single_cmd+1 
	CALL        _at_cmd_single+0, 0
	MOVLW       ?lstr39_GSM_GNSS_2_PIC+0
	MOVWF       FARG_at_cmd_single_cmd+0 
	MOVLW       hi_addr(?lstr39_GSM_GNSS_2_PIC+0)
	MOVWF       FARG_at_cmd_single_cmd+1 
	CALL        _at_cmd_single+0, 0
	MOVLW       ?lstr40_GSM_GNSS_2_PIC+0
	MOVWF       FARG_at_cmd_single_cmd+0 
	MOVLW       hi_addr(?lstr40_GSM_GNSS_2_PIC+0)
	MOVWF       FARG_at_cmd_single_cmd+1 
	CALL        _at_cmd_single+0, 0
	MOVLW       ?lstr41_GSM_GNSS_2_PIC+0
	MOVWF       FARG_at_cmd_single_cmd+0 
	MOVLW       hi_addr(?lstr41_GSM_GNSS_2_PIC+0)
	MOVWF       FARG_at_cmd_single_cmd+1 
	CALL        _at_cmd_single+0, 0
	MOVLW       21
	MOVWF       R11, 0
	MOVLW       75
	MOVWF       R12, 0
	MOVLW       190
	MOVWF       R13, 0
L_micro_SD5:
	DECFSZ      R13, 1, 1
	BRA         L_micro_SD5
	DECFSZ      R12, 1, 1
	BRA         L_micro_SD5
	DECFSZ      R11, 1, 1
	BRA         L_micro_SD5
	NOP
	MOVLW       ?lstr42_GSM_GNSS_2_PIC+0
	MOVWF       FARG_at_cmd_single_cmd+0 
	MOVLW       hi_addr(?lstr42_GSM_GNSS_2_PIC+0)
	MOVWF       FARG_at_cmd_single_cmd+1 
	CALL        _at_cmd_single+0, 0
	MOVLW       ?lstr43_GSM_GNSS_2_PIC+0
	MOVWF       FARG_at_cmd_single_cmd+0 
	MOVLW       hi_addr(?lstr43_GSM_GNSS_2_PIC+0)
	MOVWF       FARG_at_cmd_single_cmd+1 
	CALL        _at_cmd_single+0, 0
	MOVLW       21
	MOVWF       R11, 0
	MOVLW       75
	MOVWF       R12, 0
	MOVLW       190
	MOVWF       R13, 0
L_micro_SD6:
	DECFSZ      R13, 1, 1
	BRA         L_micro_SD6
	DECFSZ      R12, 1, 1
	BRA         L_micro_SD6
	DECFSZ      R11, 1, 1
	BRA         L_micro_SD6
	NOP
	MOVLW       ?lstr44_GSM_GNSS_2_PIC+0
	MOVWF       FARG_at_cmd_single_cmd+0 
	MOVLW       hi_addr(?lstr44_GSM_GNSS_2_PIC+0)
	MOVWF       FARG_at_cmd_single_cmd+1 
	CALL        _at_cmd_single+0, 0
	MOVLW       ?lstr45_GSM_GNSS_2_PIC+0
	MOVWF       FARG_at_cmd_single_cmd+0 
	MOVLW       hi_addr(?lstr45_GSM_GNSS_2_PIC+0)
	MOVWF       FARG_at_cmd_single_cmd+1 
	CALL        _at_cmd_single+0, 0
	MOVLW       ?lstr46_GSM_GNSS_2_PIC+0
	MOVWF       FARG_at_cmd_single_cmd+0 
	MOVLW       hi_addr(?lstr46_GSM_GNSS_2_PIC+0)
	MOVWF       FARG_at_cmd_single_cmd+1 
	CALL        _at_cmd_single+0, 0
L_end_micro_SD:
	RETURN      0
; end of _micro_SD

_rsp_handler:

	MOVLW       ?lstr47_GSM_GNSS_2_PIC+0
	MOVWF       FARG_LOG_txt+0 
	MOVLW       hi_addr(?lstr47_GSM_GNSS_2_PIC+0)
	MOVWF       FARG_LOG_txt+1 
	CALL        _LOG+0, 0
	MOVF        FARG_rsp_handler_rsp+0, 0 
	MOVWF       FARG_LOG_txt+0 
	MOVF        FARG_rsp_handler_rsp+1, 0 
	MOVWF       FARG_LOG_txt+1 
	CALL        _LOG+0, 0
	MOVLW       ?lstr48_GSM_GNSS_2_PIC+0
	MOVWF       FARG_LOG_txt+0 
	MOVLW       hi_addr(?lstr48_GSM_GNSS_2_PIC+0)
	MOVWF       FARG_LOG_txt+1 
	CALL        _LOG+0, 0
	MOVF        FARG_rsp_handler_rsp+0, 0 
	MOVWF       FARG_strncmp_s1+0 
	MOVF        FARG_rsp_handler_rsp+1, 0 
	MOVWF       FARG_strncmp_s1+1 
	MOVLW       ?lstr49_GSM_GNSS_2_PIC+0
	MOVWF       FARG_strncmp_s2+0 
	MOVLW       hi_addr(?lstr49_GSM_GNSS_2_PIC+0)
	MOVWF       FARG_strncmp_s2+1 
	MOVLW       19
	MOVWF       FARG_strncmp_len+0 
	CALL        _strncmp+0, 0
	MOVF        R0, 0 
	IORWF       R1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L_rsp_handler7
	BCF         LATC0_bit+0, BitPos(LATC0_bit+0) 
	MOVLW       31
	MOVWF       R11, 0
	MOVLW       113
	MOVWF       R12, 0
	MOVLW       30
	MOVWF       R13, 0
L_rsp_handler8:
	DECFSZ      R13, 1, 1
	BRA         L_rsp_handler8
	DECFSZ      R12, 1, 1
	BRA         L_rsp_handler8
	DECFSZ      R11, 1, 1
	BRA         L_rsp_handler8
	NOP
	BSF         LATC0_bit+0, BitPos(LATC0_bit+0) 
	MOVLW       ?lstr50_GSM_GNSS_2_PIC+0
	MOVWF       FARG_LOG_txt+0 
	MOVLW       hi_addr(?lstr50_GSM_GNSS_2_PIC+0)
	MOVWF       FARG_LOG_txt+1 
	CALL        _LOG+0, 0
	MOVLW       ?lstr51_GSM_GNSS_2_PIC+0
	MOVWF       FARG_LOG_txt+0 
	MOVLW       hi_addr(?lstr51_GSM_GNSS_2_PIC+0)
	MOVWF       FARG_LOG_txt+1 
	CALL        _LOG+0, 0
	MOVLW       ?lstr52_GSM_GNSS_2_PIC+0
	MOVWF       FARG_LOG_txt+0 
	MOVLW       hi_addr(?lstr52_GSM_GNSS_2_PIC+0)
	MOVWF       FARG_LOG_txt+1 
	CALL        _LOG+0, 0
L_rsp_handler7:
	MOVF        FARG_rsp_handler_rsp+0, 0 
	MOVWF       FARG_strncmp_s1+0 
	MOVF        FARG_rsp_handler_rsp+1, 0 
	MOVWF       FARG_strncmp_s1+1 
	MOVLW       ?lstr53_GSM_GNSS_2_PIC+0
	MOVWF       FARG_strncmp_s2+0 
	MOVLW       hi_addr(?lstr53_GSM_GNSS_2_PIC+0)
	MOVWF       FARG_strncmp_s2+1 
	MOVLW       5
	MOVWF       FARG_strncmp_len+0 
	CALL        _strncmp+0, 0
	MOVF        R0, 0 
	IORWF       R1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L_rsp_handler9
	MOVLW       1
	MOVWF       _ready_f+0 
L_rsp_handler9:
	MOVF        FARG_rsp_handler_rsp+0, 0 
	MOVWF       FARG_strncmp_s1+0 
	MOVF        FARG_rsp_handler_rsp+1, 0 
	MOVWF       FARG_strncmp_s1+1 
	MOVLW       ?lstr54_GSM_GNSS_2_PIC+0
	MOVWF       FARG_strncmp_s2+0 
	MOVLW       hi_addr(?lstr54_GSM_GNSS_2_PIC+0)
	MOVWF       FARG_strncmp_s2+1 
	MOVLW       12
	MOVWF       FARG_strncmp_len+0 
	CALL        _strncmp+0, 0
	MOVF        R0, 0 
	IORWF       R1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L_rsp_handler10
	MOVLW       1
	MOVWF       _isCall+0 
	MOVLW       1
	MOVWF       _action_f+0 
L_rsp_handler10:
L_end_rsp_handler:
	RETURN      0
; end of _rsp_handler

_sms_action_handler:

	MOVLW       1
	MOVWF       _isMessage+0 
	MOVLW       1
	MOVWF       _action_f+0 
L_end_sms_action_handler:
	RETURN      0
; end of _sms_action_handler

_at_cb_send_init_message:

	MOVLW       1
	MOVWF       _msg_sent+0 
L_end_at_cb_send_init_message:
	RETURN      0
; end of _at_cb_send_init_message

_at_cb_microsd_end:

	MOVF        FARG_at_cb_microsd_end_rsp+0, 0 
	MOVWF       FARG_LOG_txt+0 
	MOVF        FARG_at_cb_microsd_end_rsp+1, 0 
	MOVWF       FARG_LOG_txt+1 
	CALL        _LOG+0, 0
	MOVLW       1
	MOVWF       _sd_f+0 
L_end_at_cb_microsd_end:
	RETURN      0
; end of _at_cb_microsd_end

_update_log:

	CLRF        update_log_log_type_L0+0 
	CLRF        update_log_log_type_L0+1 
	CLRF        update_log_log_type_L0+2 
	CLRF        update_log_log_type_L0+3 
	CLRF        update_log_log_type_L0+4 
	CLRF        update_log_log_type_L0+5 
	CLRF        update_log_log_type_L0+6 
	CLRF        update_log_log_type_L0+7 
	MOVF        _isMessage+0, 1 
	BTFSC       STATUS+0, 2 
	GOTO        L_update_log11
	MOVLW       update_log_log_type_L0+0
	MOVWF       FARG_strcpy_to+0 
	MOVLW       hi_addr(update_log_log_type_L0+0)
	MOVWF       FARG_strcpy_to+1 
	MOVLW       ?lstr55_GSM_GNSS_2_PIC+0
	MOVWF       FARG_strcpy_from+0 
	MOVLW       hi_addr(?lstr55_GSM_GNSS_2_PIC+0)
	MOVWF       FARG_strcpy_from+1 
	CALL        _strcpy+0, 0
	INCF        _msg_counter+0, 1 
	CLRF        _isMessage+0 
L_update_log11:
	MOVF        _isCall+0, 1 
	BTFSC       STATUS+0, 2 
	GOTO        L_update_log12
	MOVLW       update_log_log_type_L0+0
	MOVWF       FARG_strcpy_to+0 
	MOVLW       hi_addr(update_log_log_type_L0+0)
	MOVWF       FARG_strcpy_to+1 
	MOVLW       ?lstr56_GSM_GNSS_2_PIC+0
	MOVWF       FARG_strcpy_from+0 
	MOVLW       hi_addr(?lstr56_GSM_GNSS_2_PIC+0)
	MOVWF       FARG_strcpy_from+1 
	CALL        _strcpy+0, 0
	INCF        _call_counter+0, 1 
	CLRF        _isCall+0 
L_update_log12:
	MOVLW       ?lstr57_GSM_GNSS_2_PIC+0
	MOVWF       FARG_LOG_txt+0 
	MOVLW       hi_addr(?lstr57_GSM_GNSS_2_PIC+0)
	MOVWF       FARG_LOG_txt+1 
	CALL        _LOG+0, 0
	MOVF        _msg_counter+0, 0 
	MOVWF       FARG_ByteToStr_input+0 
	MOVLW       _txt_msg+0
	MOVWF       FARG_ByteToStr_output+0 
	MOVLW       hi_addr(_txt_msg+0)
	MOVWF       FARG_ByteToStr_output+1 
	CALL        _ByteToStr+0, 0
	MOVLW       _txt_msg+0
	MOVWF       FARG_LOG_txt+0 
	MOVLW       hi_addr(_txt_msg+0)
	MOVWF       FARG_LOG_txt+1 
	CALL        _LOG+0, 0
	MOVLW       ?lstr58_GSM_GNSS_2_PIC+0
	MOVWF       FARG_LOG_txt+0 
	MOVLW       hi_addr(?lstr58_GSM_GNSS_2_PIC+0)
	MOVWF       FARG_LOG_txt+1 
	CALL        _LOG+0, 0
	MOVLW       ?lstr59_GSM_GNSS_2_PIC+0
	MOVWF       FARG_LOG_txt+0 
	MOVLW       hi_addr(?lstr59_GSM_GNSS_2_PIC+0)
	MOVWF       FARG_LOG_txt+1 
	CALL        _LOG+0, 0
	MOVF        _call_counter+0, 0 
	MOVWF       FARG_ByteToStr_input+0 
	MOVLW       _txt_call+0
	MOVWF       FARG_ByteToStr_output+0 
	MOVLW       hi_addr(_txt_call+0)
	MOVWF       FARG_ByteToStr_output+1 
	CALL        _ByteToStr+0, 0
	MOVLW       _txt_call+0
	MOVWF       FARG_LOG_txt+0 
	MOVLW       hi_addr(_txt_call+0)
	MOVWF       FARG_LOG_txt+1 
	CALL        _LOG+0, 0
	MOVLW       ?lstr60_GSM_GNSS_2_PIC+0
	MOVWF       FARG_LOG_txt+0 
	MOVLW       hi_addr(?lstr60_GSM_GNSS_2_PIC+0)
	MOVWF       FARG_LOG_txt+1 
	CALL        _LOG+0, 0
	MOVLW       ?lstr61_GSM_GNSS_2_PIC+0
	MOVWF       FARG_at_cmd_single_cmd+0 
	MOVLW       hi_addr(?lstr61_GSM_GNSS_2_PIC+0)
	MOVWF       FARG_at_cmd_single_cmd+1 
	CALL        _at_cmd_single+0, 0
	MOVLW       update_log_log_type_L0+0
	MOVWF       FARG_at_cmd_single_cmd+0 
	MOVLW       hi_addr(update_log_log_type_L0+0)
	MOVWF       FARG_at_cmd_single_cmd+1 
	CALL        _at_cmd_single+0, 0
	MOVLW       21
	MOVWF       R11, 0
	MOVLW       75
	MOVWF       R12, 0
	MOVLW       190
	MOVWF       R13, 0
L_update_log13:
	DECFSZ      R13, 1, 1
	BRA         L_update_log13
	DECFSZ      R12, 1, 1
	BRA         L_update_log13
	DECFSZ      R11, 1, 1
	BRA         L_update_log13
	NOP
	MOVLW       ?lstr62_GSM_GNSS_2_PIC+0
	MOVWF       FARG_LOG_txt+0 
	MOVLW       hi_addr(?lstr62_GSM_GNSS_2_PIC+0)
	MOVWF       FARG_LOG_txt+1 
	CALL        _LOG+0, 0
	MOVLW       ?lstr63_GSM_GNSS_2_PIC+0
	MOVWF       FARG_LOG_txt+0 
	MOVLW       hi_addr(?lstr63_GSM_GNSS_2_PIC+0)
	MOVWF       FARG_LOG_txt+1 
	CALL        _LOG+0, 0
	MOVLW       ?lstr64_GSM_GNSS_2_PIC+0
	MOVWF       FARG_LOG_txt+0 
	MOVLW       hi_addr(?lstr64_GSM_GNSS_2_PIC+0)
	MOVWF       FARG_LOG_txt+1 
	CALL        _LOG+0, 0
	MOVLW       ?lstr65_GSM_GNSS_2_PIC+0
	MOVWF       FARG_at_cmd_single_cmd+0 
	MOVLW       hi_addr(?lstr65_GSM_GNSS_2_PIC+0)
	MOVWF       FARG_at_cmd_single_cmd+1 
	CALL        _at_cmd_single+0, 0
L_end_update_log:
	RETURN      0
; end of _update_log

_main:

	CALL        GSM_GNSS_2_PIC_system_init+0, 0
	MOVLW       _rsp_handler+0
	MOVWF       FARG_at_init_default_callback+0 
	MOVLW       hi_addr(_rsp_handler+0)
	MOVWF       FARG_at_init_default_callback+1 
	MOVLW       FARG_rsp_handler_rsp+0
	MOVWF       FARG_at_init_default_callback+2 
	MOVLW       hi_addr(FARG_rsp_handler_rsp+0)
	MOVWF       FARG_at_init_default_callback+3 
	MOVLW       _UART1_Write+0
	MOVWF       FARG_at_init_default_write+0 
	MOVLW       hi_addr(_UART1_Write+0)
	MOVWF       FARG_at_init_default_write+1 
	MOVLW       FARG_UART1_Write_data_+0
	MOVWF       FARG_at_init_default_write+2 
	MOVLW       hi_addr(FARG_UART1_Write_data_+0)
	MOVWF       FARG_at_init_default_write+3 
	MOVLW       _buffer+0
	MOVWF       FARG_at_init_buffer_ptr+0 
	MOVLW       hi_addr(_buffer+0)
	MOVWF       FARG_at_init_buffer_ptr+1 
	MOVLW       0
	MOVWF       FARG_at_init_buffer_size+0 
	MOVLW       2
	MOVWF       FARG_at_init_buffer_size+1 
	CALL        _at_init+0, 0
	MOVLW       ?lstr66_GSM_GNSS_2_PIC+0
	MOVWF       FARG_at_cmd_save_cmd+0 
	MOVLW       hi_addr(?lstr66_GSM_GNSS_2_PIC+0)
	MOVWF       FARG_at_cmd_save_cmd+1 
	MOVLW       232
	MOVWF       FARG_at_cmd_save_timeout+0 
	MOVLW       3
	MOVWF       FARG_at_cmd_save_timeout+1 
	MOVLW       0
	MOVWF       FARG_at_cmd_save_timeout+2 
	MOVWF       FARG_at_cmd_save_timeout+3 
	CLRF        FARG_at_cmd_save_getter+0 
	CLRF        FARG_at_cmd_save_getter+1 
	CLRF        FARG_at_cmd_save_getter+2 
	CLRF        FARG_at_cmd_save_getter+3 
	CLRF        FARG_at_cmd_save_setter+0 
	CLRF        FARG_at_cmd_save_setter+1 
	CLRF        FARG_at_cmd_save_setter+2 
	CLRF        FARG_at_cmd_save_setter+3 
	CLRF        FARG_at_cmd_save_tester+0 
	CLRF        FARG_at_cmd_save_tester+1 
	CLRF        FARG_at_cmd_save_tester+2 
	CLRF        FARG_at_cmd_save_tester+3 
	MOVLW       _at_cb_send_init_message+0
	MOVWF       FARG_at_cmd_save_executer+0 
	MOVLW       hi_addr(_at_cb_send_init_message+0)
	MOVWF       FARG_at_cmd_save_executer+1 
	MOVLW       FARG_at_cb_send_init_message_rsp+0
	MOVWF       FARG_at_cmd_save_executer+2 
	MOVLW       hi_addr(FARG_at_cb_send_init_message_rsp+0)
	MOVWF       FARG_at_cmd_save_executer+3 
	CALL        _at_cmd_save+0, 0
	MOVLW       ?lstr67_GSM_GNSS_2_PIC+0
	MOVWF       FARG_at_cmd_save_cmd+0 
	MOVLW       hi_addr(?lstr67_GSM_GNSS_2_PIC+0)
	MOVWF       FARG_at_cmd_save_cmd+1 
	MOVLW       184
	MOVWF       FARG_at_cmd_save_timeout+0 
	MOVLW       11
	MOVWF       FARG_at_cmd_save_timeout+1 
	MOVLW       0
	MOVWF       FARG_at_cmd_save_timeout+2 
	MOVWF       FARG_at_cmd_save_timeout+3 
	CLRF        FARG_at_cmd_save_getter+0 
	CLRF        FARG_at_cmd_save_getter+1 
	CLRF        FARG_at_cmd_save_getter+2 
	CLRF        FARG_at_cmd_save_getter+3 
	CLRF        FARG_at_cmd_save_setter+0 
	CLRF        FARG_at_cmd_save_setter+1 
	CLRF        FARG_at_cmd_save_setter+2 
	CLRF        FARG_at_cmd_save_setter+3 
	CLRF        FARG_at_cmd_save_tester+0 
	CLRF        FARG_at_cmd_save_tester+1 
	CLRF        FARG_at_cmd_save_tester+2 
	CLRF        FARG_at_cmd_save_tester+3 
	MOVLW       _at_cb_microsd_end+0
	MOVWF       FARG_at_cmd_save_executer+0 
	MOVLW       hi_addr(_at_cb_microsd_end+0)
	MOVWF       FARG_at_cmd_save_executer+1 
	MOVLW       FARG_at_cb_microsd_end_rsp+0
	MOVWF       FARG_at_cmd_save_executer+2 
	MOVLW       hi_addr(FARG_at_cb_microsd_end_rsp+0)
	MOVWF       FARG_at_cmd_save_executer+3 
	CALL        _at_cmd_save+0, 0
	MOVLW       ?lstr68_GSM_GNSS_2_PIC+0
	MOVWF       FARG_at_cmd_save_cmd+0 
	MOVLW       hi_addr(?lstr68_GSM_GNSS_2_PIC+0)
	MOVWF       FARG_at_cmd_save_cmd+1 
	MOVLW       184
	MOVWF       FARG_at_cmd_save_timeout+0 
	MOVLW       11
	MOVWF       FARG_at_cmd_save_timeout+1 
	MOVLW       0
	MOVWF       FARG_at_cmd_save_timeout+2 
	MOVWF       FARG_at_cmd_save_timeout+3 
	CLRF        FARG_at_cmd_save_getter+0 
	CLRF        FARG_at_cmd_save_getter+1 
	CLRF        FARG_at_cmd_save_getter+2 
	CLRF        FARG_at_cmd_save_getter+3 
	CLRF        FARG_at_cmd_save_setter+0 
	CLRF        FARG_at_cmd_save_setter+1 
	CLRF        FARG_at_cmd_save_setter+2 
	CLRF        FARG_at_cmd_save_setter+3 
	CLRF        FARG_at_cmd_save_tester+0 
	CLRF        FARG_at_cmd_save_tester+1 
	CLRF        FARG_at_cmd_save_tester+2 
	CLRF        FARG_at_cmd_save_tester+3 
	MOVLW       _sms_action_handler+0
	MOVWF       FARG_at_cmd_save_executer+0 
	MOVLW       hi_addr(_sms_action_handler+0)
	MOVWF       FARG_at_cmd_save_executer+1 
	MOVLW       FARG_sms_action_handler_rsp+0
	MOVWF       FARG_at_cmd_save_executer+2 
	MOVLW       hi_addr(FARG_sms_action_handler_rsp+0)
	MOVWF       FARG_at_cmd_save_executer+3 
	CALL        _at_cmd_save+0, 0
	MOVLW       ?lstr69_GSM_GNSS_2_PIC+0
	MOVWF       FARG_at_cmd_save_cmd+0 
	MOVLW       hi_addr(?lstr69_GSM_GNSS_2_PIC+0)
	MOVWF       FARG_at_cmd_save_cmd+1 
	MOVLW       232
	MOVWF       FARG_at_cmd_save_timeout+0 
	MOVLW       3
	MOVWF       FARG_at_cmd_save_timeout+1 
	MOVLW       0
	MOVWF       FARG_at_cmd_save_timeout+2 
	MOVWF       FARG_at_cmd_save_timeout+3 
	CLRF        FARG_at_cmd_save_getter+0 
	CLRF        FARG_at_cmd_save_getter+1 
	CLRF        FARG_at_cmd_save_getter+2 
	CLRF        FARG_at_cmd_save_getter+3 
	CLRF        FARG_at_cmd_save_setter+0 
	CLRF        FARG_at_cmd_save_setter+1 
	CLRF        FARG_at_cmd_save_setter+2 
	CLRF        FARG_at_cmd_save_setter+3 
	CLRF        FARG_at_cmd_save_tester+0 
	CLRF        FARG_at_cmd_save_tester+1 
	CLRF        FARG_at_cmd_save_tester+2 
	CLRF        FARG_at_cmd_save_tester+3 
	MOVLW       _at_cb_send_init_message+0
	MOVWF       FARG_at_cmd_save_executer+0 
	MOVLW       hi_addr(_at_cb_send_init_message+0)
	MOVWF       FARG_at_cmd_save_executer+1 
	MOVLW       FARG_at_cb_send_init_message_rsp+0
	MOVWF       FARG_at_cmd_save_executer+2 
	MOVLW       hi_addr(FARG_at_cb_send_init_message_rsp+0)
	MOVWF       FARG_at_cmd_save_executer+3 
	CALL        _at_cmd_save+0, 0
	CALL        GSM_GNSS_2_PIC_GSM_GNSS_2_power_on+0, 0
	CALL        _GSM_GNSS_2_init+0, 0
	CALL        _send_SMS+0, 0
L_main14:
	MOVF        _msg_sent+0, 1 
	BTFSS       STATUS+0, 2 
	GOTO        L_main15
	CALL        _at_process+0, 0
	GOTO        L_main14
L_main15:
	MOVLW       ?lstr70_GSM_GNSS_2_PIC+0
	MOVWF       FARG_LOG_txt+0 
	MOVLW       hi_addr(?lstr70_GSM_GNSS_2_PIC+0)
	MOVWF       FARG_LOG_txt+1 
	CALL        _LOG+0, 0
	MOVLW       ?lstr71_GSM_GNSS_2_PIC+0
	MOVWF       FARG_LOG_txt+0 
	MOVLW       hi_addr(?lstr71_GSM_GNSS_2_PIC+0)
	MOVWF       FARG_LOG_txt+1 
	CALL        _LOG+0, 0
	MOVLW       ?lstr72_GSM_GNSS_2_PIC+0
	MOVWF       FARG_LOG_txt+0 
	MOVLW       hi_addr(?lstr72_GSM_GNSS_2_PIC+0)
	MOVWF       FARG_LOG_txt+1 
	CALL        _LOG+0, 0
	CALL        _micro_SD+0, 0
L_main16:
	MOVF        _sd_f+0, 1 
	BTFSS       STATUS+0, 2 
	GOTO        L_main17
	CALL        _at_process+0, 0
	GOTO        L_main16
L_main17:
	MOVLW       ?lstr73_GSM_GNSS_2_PIC+0
	MOVWF       FARG_LOG_txt+0 
	MOVLW       hi_addr(?lstr73_GSM_GNSS_2_PIC+0)
	MOVWF       FARG_LOG_txt+1 
	CALL        _LOG+0, 0
	MOVLW       ?lstr74_GSM_GNSS_2_PIC+0
	MOVWF       FARG_LOG_txt+0 
	MOVLW       hi_addr(?lstr74_GSM_GNSS_2_PIC+0)
	MOVWF       FARG_LOG_txt+1 
	CALL        _LOG+0, 0
	MOVLW       ?lstr75_GSM_GNSS_2_PIC+0
	MOVWF       FARG_LOG_txt+0 
	MOVLW       hi_addr(?lstr75_GSM_GNSS_2_PIC+0)
	MOVWF       FARG_LOG_txt+1 
	CALL        _LOG+0, 0
	MOVLW       21
	MOVWF       R11, 0
	MOVLW       75
	MOVWF       R12, 0
	MOVLW       190
	MOVWF       R13, 0
L_main18:
	DECFSZ      R13, 1, 1
	BRA         L_main18
	DECFSZ      R12, 1, 1
	BRA         L_main18
	DECFSZ      R11, 1, 1
	BRA         L_main18
	NOP
	MOVLW       ?lstr76_GSM_GNSS_2_PIC+0
	MOVWF       FARG_LOG_txt+0 
	MOVLW       hi_addr(?lstr76_GSM_GNSS_2_PIC+0)
	MOVWF       FARG_LOG_txt+1 
	CALL        _LOG+0, 0
	MOVLW       ?lstr77_GSM_GNSS_2_PIC+0
	MOVWF       FARG_LOG_txt+0 
	MOVLW       hi_addr(?lstr77_GSM_GNSS_2_PIC+0)
	MOVWF       FARG_LOG_txt+1 
	CALL        _LOG+0, 0
	MOVLW       ?lstr78_GSM_GNSS_2_PIC+0
	MOVWF       FARG_LOG_txt+0 
	MOVLW       hi_addr(?lstr78_GSM_GNSS_2_PIC+0)
	MOVWF       FARG_LOG_txt+1 
	CALL        _LOG+0, 0
L_main19:
	CALL        _at_process+0, 0
	MOVF        _action_f+0, 1 
	BTFSC       STATUS+0, 2 
	GOTO        L_main21
	CALL        _update_log+0, 0
	CLRF        _action_f+0 
L_main21:
	GOTO        L_main19
L_end_main:
	GOTO        $+0
; end of _main

_interrupt:

	BTFSS       RC1IF_bit+0, BitPos(RC1IF_bit+0) 
	GOTO        L_interrupt22
	CALL        _UART1_Read+0, 0
	MOVF        R0, 0 
	MOVWF       FARG_at_rx_rx_input+0 
	CALL        _at_rx+0, 0
L_interrupt22:
	BTFSS       TMR3IF_bit+0, BitPos(TMR3IF_bit+0) 
	GOTO        L_interrupt23
	CALL        _at_tick+0, 0
	BCF         TMR3IF_bit+0, BitPos(TMR3IF_bit+0) 
	MOVLW       240
	MOVWF       TMR3H+0 
	MOVLW       96
	MOVWF       TMR3L+0 
L_interrupt23:
L_end_interrupt:
L__interrupt37:
	RETFIE      1
; end of _interrupt
